clear all;
close all;
clc
%% Smyčka výpočtů
pp=2; % Počet vzorků k porovnání
sharp=zeros(1,pp);
Mod=0;
[kalibrace,cesta] = uigetfile('*.wav');
[z1,~]=audioread(fullfile(cesta,kalibrace)); 
z1=z1(:,1);
for i = 1 : pp
 [horna,cesta] = uigetfile('*.wav');
 [x1,fvz]=audioread(fullfile(cesta,horna));
 x1=x1(:,1);
 X=rms(x1);
 Z=rms(z1);
 odlog = 10^(94/20);  
 pomer = (X/Z)*odlog; 
 DB = 20*log10(pomer); 
 [Son(i),N_single] = loudness_1991(x1, DB, fvz, Mod);
 sharp(i) = sharpness_Fastl(N_single);
end